apiVersion: v1
kind: PersistentVolume
metadata:
  name: video-data
  labels: { type: local }
spec:
  storageClassName: manual
# host = ditto
  hostPath: { path: "/opt/video" }
  capacity: { storage: 50Gi }
  accessModes: [ReadWriteOnce]
  persistentVolumeReclaimPolicy: Retain
  claimRef:
    namespace: default
    name: video-data

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: video-data
spec:
  storageClassName: ""
  volumeName: "video-data"
  accessModes: [ReadWriteOnce]
  resources: { requests: { storage: 50Gi } }